View Issue Details

IDProjectCategoryView StatusLast Update
0000746SymmetricDSImprovementpublic2014-02-02 20:52
ReporterevfvadimAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000746: Improve documentation on how to handle Oracle error 'ORA-01489: result of string concatenation is too long'
DescriptionThis can happen during execution of generated table triggers or during initial load when source table does not have LOB columns and total length of data in a particular row exceeds 4000 bytes.
The issue was also posted in the forum on 2011-09-14 by John Scattergood (jscattergood).
TagsNo tags attached.

Activities

chenson

2012-08-01 15:36

administrator   ~0000052

Have you tried to setting sym_channel.contains_big_lob=1?

evfvadim

2012-08-01 15:54

reporter   ~0000053

Yes, I've set it to 1 from the beginning.

chenson

2012-08-01 16:00

administrator   ~0000054

How about sym_trigger.use_capture_lobs=1? (and yes, the settings are confusing me too)

evfvadim

2012-08-01 18:40

reporter   ~0000055

Yes, that worked! Thanks.

Related Changesets

SymmetricDS: master 193460c3

2012-08-01 19:40:58

chenson

Details Diff
0000746: Improve documentation on how to handle Oracle error 'ORA-01489: result of string concatenation is too long'
0000746
mod - symmetric-assemble/src/docbook/databases.xml Diff File

Issue History

Date Modified Username Field Change
2012-08-01 15:22 evfvadim New Issue
2012-08-01 15:36 chenson Note Added: 0000052
2012-08-01 15:54 evfvadim Note Added: 0000053
2012-08-01 16:00 chenson Note Added: 0000054
2012-08-01 18:40 evfvadim Note Added: 0000055
2012-08-01 19:39 chenson Summary Oracle error 'ORA-01489: result of string concatenation is too long' => Improve documentation on how to handle Oracle error 'ORA-01489: result of string concatenation is too long'
2012-08-01 19:40 chenson Category Bug => Improvement
2012-08-01 19:40 chenson Fixed in Version => 3.1.0
2012-08-01 19:40 chenson Target Version => 3.1.0
2012-08-01 19:41 chenson Assigned To => chenson
2012-08-01 19:41 chenson Status new => assigned
2012-08-01 19:41 chenson Status assigned => resolved
2012-08-01 19:41 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6130
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 193460c3